MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032089Open CASCADE[OCCT] OCCT:Visualizationpublic2021-01-28 00:082021-09-22 08:22
Reporterkgv 
Assigned Tosmoskvin 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032089: Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0
DescriptionGL_EXT_sRGB extension can be used to extend sRGB support in WebGL 1.0 context.
The behavior of GL_EXT_sRGB is, however, different from OpenGL ES 3.0.

For instance, glGenerateMipmaps() is disallowed:
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Unable to generate mipmap of cubemap with format GL_SRGB_ALPHA_EXT, error GL_INVALID_OPERATION occt-webgl-sample.js:9:17983

WebGL warning: generateMipmap: EXT_sRGB forbids GenerateMipmap with sRGB. occt-webgl-sample.js:9:214802

WebGL warning: drawArraysInstanced: TEXTURE_CUBE_MAP at unit 31 is incomplete: Bad mipmap dimension or 
format.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032579verifiedsmoskvin Draw Harness, ViewerTest - extend vbackground -cubemap syntax to configure sRGB flag 

-  Notes
(0098458)
git (administrator)
2021-01-28 00:09

Branch CR32089 has been created by kgv.

SHA-1: 8e46f2a74b453eca572461908741f16a9740d3b9


Detailed log of new commits:

Author: kgv
Date: Thu Jan 28 00:10:16 2021 +0300

    0032089: Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0
(0098511)
git (administrator)
2021-01-29 12:28

Branch CR32089_1 has been created by kgv.

SHA-1: 1f82c049f214d52d88a195f0fd45835f6de8410e


Detailed log of new commits:

Author: kgv
Date: Fri Jan 29 11:12:01 2021 +0300

    0032089: Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0
(0098562)
git (administrator)
2021-02-01 10:33

Branch CR32089_1 has been updated forcibly by kgv.

SHA-1: fcfaad8c71c13bdbe1dda88e1de5703a49623cbf
(0104119)
git (administrator)
2021-09-16 12:48

Branch CR32089_2 has been created by kgv.

SHA-1: 2d3052c2c94625ea1c2c73ffc9d74b7613786707


Detailed log of new commits:

Author: kgv
Date: Thu Sep 16 10:50:18 2021 +0300

    0032089: Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0
(0104122)
git (administrator)
2021-09-16 15:48

Branch CR32089_2 has been updated forcibly by kgv.

SHA-1: 251f746f04e1a674f2936dd73f793b8a51706189
(0104123)
git (administrator)
2021-09-16 15:55

Branch CR32089_2 has been updated forcibly by kgv.

SHA-1: 974f66c070338effbab93df8b0c9daf73a4a18cd
(0104128)
kgv (developer)
2021-09-16 17:39

Please raise the patch
- OCCT: branch CR32089_2.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32089_2-master-KGV/ [^]
(0104184)
bugmaster (administrator)
2021-09-18 09:37

Combination -
OCCT branch : IR-2021-09-17
master SHA - 812ee2c9bec89902de2ff85201cb314e0de894cc
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-17 SHA - 1127e31e32f90ff63544b0516092694f1a36932f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17390.540000000547 / 17358.370000000414 [+0.19%]
Products
Total CPU difference: 11364.740000000118 / 11411.36000000011 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19327.15625 [-0.03%]
Products
Total CPU difference: 12746.171875 / 12747.78125 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0104197)
git (administrator)
2021-09-18 09:54

Branch CR32089 has been deleted by mnt.

SHA-1: 8e46f2a74b453eca572461908741f16a9740d3b9
(0104198)
git (administrator)
2021-09-18 09:54

Branch CR32089_1 has been deleted by mnt.

SHA-1: fcfaad8c71c13bdbe1dda88e1de5703a49623cbf
(0104199)
git (administrator)
2021-09-18 09:54

Branch CR32089_2 has been deleted by mnt.

SHA-1: 974f66c070338effbab93df8b0c9daf73a4a18cd

- Related Changesets
occt: master eee6a80a
Timestamp: 2021-09-16 07:50:18
Author: kgv
Committer: smoskvin
Details ] Diff ]
0032089: Visualization, TKOpenGl - support GL_EXT_sRGB extension to OpenGL ES 2.0
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GLESExtensions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-01-28 00:08 kgv New Issue
2021-01-28 00:08 kgv Assigned To => kgv
2021-01-28 00:09 git Note Added: 0098458
2021-01-29 11:24 kgv Description Updated View Revisions
2021-01-29 12:28 git Note Added: 0098511
2021-02-01 10:33 git Note Added: 0098562
2021-09-16 12:48 git Note Added: 0104119
2021-09-16 15:48 git Note Added: 0104122
2021-09-16 15:55 git Note Added: 0104123
2021-09-16 17:39 kgv Note Added: 0104128
2021-09-16 17:39 kgv Assigned To kgv => bugmaster
2021-09-16 17:39 kgv Status new => resolved
2021-09-16 17:39 kgv Status resolved => reviewed
2021-09-18 09:37 bugmaster Status reviewed => tested
2021-09-18 09:37 bugmaster Note Added: 0104184
2021-09-18 09:41 bugmaster Test case number => Not required
2021-09-18 09:43 smoskvin Changeset attached => occt master eee6a80a
2021-09-18 09:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-18 09:43 smoskvin Status tested => verified
2021-09-18 09:43 smoskvin Resolution open => fixed
2021-09-18 09:54 git Note Added: 0104197
2021-09-18 09:54 git Note Added: 0104198
2021-09-18 09:54 git Note Added: 0104199
2021-09-22 08:22 kgv Relationship added related to 0032579


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker